Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1265483 - readline support doesn't work if cwd is non-existing
Summary: readline support doesn't work if cwd is non-existing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python3
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-23 04:37 UTC by Christopher Meng
Modified: 2016-08-31 11:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-31 11:15:48 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Python 22834 0 None None None Never

Description Christopher Meng 2015-09-23 04:37:22 UTC
Hi,

I can't move up down left right in python3 console sometimes:

$ python3
Python 3.4.3 (default, Aug 12 2015, 12:27:38) 
[GCC 5.1.1 20150618 (Red Hat 5.1.1-4)] on linux
Type "help", "copyright", "credits" or "license" for more information.
Failed calling sys.__interactivehook__
Traceback (most recent call last):
  File "/usr/lib/python3.4/site.py", line 395, in register_readline
    import readline
  File "<frozen importlib._bootstrap>", line 2237, in _find_and_load
  File "<frozen importlib._bootstrap>", line 2222, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 2164, in _find_spec
  File "<frozen importlib._bootstrap>", line 1940, in find_spec
  File "<frozen importlib._bootstrap>", line 1911, in _get_spec
  File "<frozen importlib._bootstrap>", line 1879, in _path_importer_cache
FileNotFoundError: [Errno 2] No such file or directory

Thanks in advance.

Comment 1 Christopher Meng 2015-09-23 04:43:56 UTC
Ok, possible a bug I just found.

After doing a search on python bugzilla, I found it had been fixed. It'd better to upgrade to 3.5, or check out the fix then patch the 3.4 in repo.

Comment 2 Fedora Admin XMLRPC Client 2016-01-29 13:07:17 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Jan Kurik 2016-02-24 13:47:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 4 Charalampos Stratakis 2016-08-31 11:15:48 UTC
This has been fixed in Python 3.5 which is included in Fedora 24.


Note You need to log in before you can comment on or make changes to this bug.